Bug 474301 - [AMD 5.4 FEAT] Withdraw IGN_SERR_INTERNAL for SB800 SATA
[AMD 5.4 FEAT] Withdraw IGN_SERR_INTERNAL for SB800 SATA
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: David Milburn
Red Hat Kernel QE team
: FutureFeature, HardwareEnablement, OtherQA
Depends On:
Blocks: 253883 483784
  Show dependency treegraph
 
Reported: 2008-12-03 02:38 EST by Shane Huang
Modified: 2009-09-02 04:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported to RHEL5.x, based on kernel 2.6.18-131 (1.38 KB, patch)
2009-02-12 21:29 EST, Shane Huang
no flags Details | Diff

  None (edit)
Description Shane Huang 2008-12-03 02:38:55 EST
Description of problem:
There is an issue in ATI SB600/SB700 SATA that PxSERR.E should not be
set on some conditions, which will lead to many SATA ODD error messages.
commit 55a61604cd1354e1783364e1c901034f2f474b7d is the workaround.
Since SB800 fixed this HW issue, IGN_SERR_INTERNAL should be withdrawn
for SB800.

This patch has been accepted by driver maintainer, by has not been
merged into linus source tree yet, I will provide the git link when
it is available. thanks.
Comment 2 Shane Huang 2009-02-12 21:29:39 EST
Created attachment 331790 [details]
Backported to RHEL5.x, based on kernel 2.6.18-131
Comment 3 RHEL Product and Program Management 2009-02-16 10:42:17 EST
Updating PM score.
Comment 4 David Milburn 2009-02-18 20:33:06 EST
Hi Shane,

I have applied your patch the latest RHEL5 sources and built a test rpm, would
you please boot the kernel-2.6.18-131.el5.bz474301.1 kernel on a SB700 and SB800
platform as a sanity check? Thanks.

http://people.redhat.com/dmilburn/
Comment 5 Shane Huang 2009-02-20 03:53:15 EST
The testing kernel-2.6.18-131.el5.bz474301.1 can work on both SB700 and SB800.

Thanks
Comment 7 Don Zickus 2009-03-09 14:54:38 EDT
in kernel-2.6.18-134.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 Shane Huang 2009-03-11 05:54:55 EDT
verified with kernel-2.6.18-134, thanks.
Comment 10 Chris Ward 2009-06-14 19:16:52 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 11 Shane Huang 2009-06-14 23:07:41 EDT
Verified again with RHEL5.4 Alpha(kernel-2.6.18-152), thanks.
Comment 12 Chris Ward 2009-07-03 14:14:52 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 errata-xmlrpc 2009-09-02 04:56:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.